tigase.jaxmpp.j2se.connection

## Interface ConnectionManager

- All Superinterfaces:
    ContextAware
  All Known Implementing Classes:
    JingleSocks5BytestreamsConnectionManager, Socks5BytestreamsConnectionManager, Socks5ConnectionManager

      public interface ConnectionManager
      extends ContextAware

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ConnectionManager.ConnectionClosedHandler`
    `static interface` | `ConnectionManager.ConnectionEstablishedHandler`
    `static interface` | `ConnectionManager.ConnectionFailedHandler`
    `static interface` | `ConnectionManager.InitializedCallback`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectTcp(JaxmppCore jaxmpp, ConnectionSession session)`
    `void` | `connectUdp(JaxmppCore jaxmpp, ConnectionSession session)`
    `void` | `initConnection(JaxmppCore jaxmpp, ConnectionSession session, ConnectionManager.InitializedCallback callback)`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.xmpp.modules.ContextAware

      `setContext`

- - ### Method Detail

    - #### connectTcp

          void connectTcp(JaxmppCore jaxmpp,
                          ConnectionSession session)
                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### connectUdp

          void connectUdp(JaxmppCore jaxmpp,
                          ConnectionSession session)
                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### initConnection

          void initConnection(JaxmppCore jaxmpp,
                              ConnectionSession session,
                              ConnectionManager.InitializedCallback callback)
                       throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.